package net.knarcraft.knarlib.property;

/**
 * An enum representing the different types of color conversions available
 */
@SuppressWarnings("unused")
public enum ColorConversion {

    /**
     * No conversion of colors
     */
    NONE,

    /**
     * Ampersand color codes are converted into colors
     */
    NORMAL,

    /**
     * Ampersand color codes, and hexadecimal color codes are converted into colors
     */
    RGB,

    /**
     * Only hexadecimal color codes are converted into colors, not &amp;[a-f0-9] color codes.
     */
    RGB_ONLY,

}
